ยซ Up

io-list 1.1.0 Error ๐Ÿ”ฅ

๐Ÿ“… (2022-05-14 08:21:45 UTC)

Context

# Packages matching: installed
# Name                # Installed # Synopsis
base-bigarray         base
base-threads          base
base-unix             base
conf-findutils        1           Virtual package relying on findutils
conf-gmp              4           Virtual package relying on a GMP lib system installation
coq                   dev         Formal proof management system
dune                  3.1.1       Fast, portable, and opinionated build system
ocaml                 4.12.1      The OCaml compiler (virtual package)
ocaml-base-compiler   4.12.1      Official release 4.12.1
ocaml-config          2           OCaml Switch Configuration
ocaml-options-vanilla 1           Ensure that OCaml is compiled with no special options enabled
ocamlfind             1.9.3       A library manager for OCaml
zarith                1.12        Implements arithmetic and logical operations over arbitrary-precision integers
# opam file:
opam-version: "2.0"
maintainer: "dev@clarus.me"
homepage: "https://github.com/clarus/io-list"
dev-repo: "git+https://github.com/clarus/io-list.git"
bug-reports: "https://github.com/clarus/io-list/issues"
authors: ["Guillaume Claret"]
license: "MIT"
build: [
  ["./configure.sh"]
  [make "-j%{jobs}%"]
]
install: [
  [make "install"]
]
remove: ["rm" "-R" "%{lib}%/coq/user-contrib/Io/List.vo"]
depends: [
  "ocaml"
  "coq" {>= "8.4pl4"}
  "coq-io" {>= "3.1.0" & < "4"}
]
synopsis: "Generic functions on lists with effects"
flags: light-uninstall
url {
  src: "https://github.com/coq-io/list/archive/1.1.0.tar.gz"
  checksum: "md5=5c4c7c9c32155b1ac9f49bb0fea581df"
}

Lint

Command
true
Return code
0

Dry install ๐Ÿœ๏ธ

Dry install with the current Coq version:

Command
opam install -y --show-action coq-io-list.1.1.0 coq.dev
Return code
0

Dry install without Coq/switch base, to test if the problem was incompatibility with the current Coq/OCaml version:

Command
true
Return code
0

Install dependencies

Command
opam list; echo; ulimit -Sv 4000000; timeout 4h opam install -y --deps-only coq-io-list.1.1.0 coq.dev
Return code
0
Duration
19 s

Install ๐Ÿš€

Command
opam list; echo; ulimit -Sv 16000000; timeout 4h opam install -y -v coq-io-list.1.1.0 coq.dev
Return code
7936
Duration
16 s
Output
# Packages matching: installed
# Name                # Installed # Synopsis
base-bigarray         base
base-threads          base
base-unix             base
conf-findutils        1           Virtual package relying on findutils
conf-gmp              4           Virtual package relying on a GMP lib system installation
coq                   dev         Formal proof management system
coq-io                3.1.0       A library for effects in Coq
dune                  3.1.1       Fast, portable, and opinionated build system
ocaml                 4.12.1      The OCaml compiler (virtual package)
ocaml-base-compiler   4.12.1      Official release 4.12.1
ocaml-config          2           OCaml Switch Configuration
ocaml-options-vanilla 1           Ensure that OCaml is compiled with no special options enabled
ocamlfind             1.9.3       A library manager for OCaml
zarith                1.12        Implements arithmetic and logical operations over arbitrary-precision integers
[NOTE] Package coq is already installed (current version is dev).
The following actions will be performed:
  - install coq-io-list 1.1.0
<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/1: [coq-io-list.1.1.0: http]
[coq-io-list.1.1.0] downloaded from https://github.com/coq-io/list/archive/1.1.0.tar.gz
Processing  1/1:
<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/2: [coq-io-list: ./configure.sh]
+ /home/bench/.opam/opam-init/hooks/sandbox.sh "build" "./configure.sh" (CWD=/home/bench/.opam/ocaml-base-compiler.4.12.1/.opam-switch/build/coq-io-list.1.1.0)
Processing  1/2: [coq-io-list: make]
+ /home/bench/.opam/opam-init/hooks/sandbox.sh "build" "make" "-j4" (CWD=/home/bench/.opam/ocaml-base-compiler.4.12.1/.opam-switch/build/coq-io-list.1.1.0)
- COQDEP VFILES
- COQC src/List.v
- File "./src/List.v", line 31, characters 9-10:
- Error: Syntax error: [identref] expected after 'let!' (in [binder_constr]).
- 
- make[1]: *** [Makefile:791: src/List.vo] Error 1
- make: *** [Makefile:408: all] Error 2
[ERROR] The compilation of coq-io-list failed at "/home/bench/.opam/opam-init/hooks/sandbox.sh build make -j4".
#=== ERROR while compiling coq-io-list.1.1.0 ==================================#
# context              2.0.8 | linux/x86_64 | ocaml-base-compiler.4.12.1 | file:///home/bench/run/opam-coq-archive/released
# path                 ~/.opam/ocaml-base-compiler.4.12.1/.opam-switch/build/coq-io-list.1.1.0
# command              ~/.opam/opam-init/hooks/sandbox.sh build make -j4
# exit-code            2
# env-file             ~/.opam/log/coq-io-list-32292-e4db2f.env
# output-file          ~/.opam/log/coq-io-list-32292-e4db2f.out
### output ###
# COQDEP VFILES
# COQC src/List.v
# File "./src/List.v", line 31, characters 9-10:
# Error: Syntax error: [identref] expected after 'let!' (in [binder_constr]).
# 
# make[1]: *** [Makefile:791: src/List.vo] Error 1
# make: *** [Makefile:408: all] Error 2
<><> Error report <><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
+- The following actions failed
| - build coq-io-list 1.1.0
+- 
- No changes have been performed
# Run eval $(opam env) to update the current shell environment
'opam install -y -v coq-io-list.1.1.0 coq.dev' failed.

Installation size

No files were installed.

Uninstall ๐Ÿงน

Command
true
Return code
0
Missing removes
none
Wrong removes
none